  const set = ref(new Set());
  const tagTypes = ['primary', 'success', 'warning', 'danger', 'info'];
  
  export const getTagType = computed(() => (shopName: any) => {
    if (!shopName) return 'default';

    if (!set.value.has(shopName)) {
      set.value.add(shopName);
    }

    const index = Array.from(set.value).indexOf(shopName);
    return tagTypes[index % tagTypes.length];
  });
